cancel
Showing results for 
Search instead for 
Did you mean: 

14.3 -> 14.4 Upgrade Project Compatibility?

SOLVED
Highlighted
Contributor

14.3 -> 14.4 Upgrade Project Compatibility?

Will projects/suites from version 14.3 be comptible with 14.4 and vice versa?  I see there is a note about project conversion but I am not sure if this applies to a 14.3 to 14.4 cvonversion.

 

Thanks!

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted
Community Hero

Re: 14.3 -> 14.4 Upgrade Project Compatibility?

It has been my experience that anything within a version is compatible (anything that starts with 14 is cross compatible, going up to 15 would not be).  That being said, I also always always always back up the old version in its entirety and then upgrade.  You'll find out quick enough if there's a problem with conversion or anything else and you'll have a safe shiny backup to revert to.

View solution in original post

4 REPLIES 4
Highlighted
Community Hero

Re: 14.3 -> 14.4 Upgrade Project Compatibility?

It has been my experience that anything within a version is compatible (anything that starts with 14 is cross compatible, going up to 15 would not be).  That being said, I also always always always back up the old version in its entirety and then upgrade.  You'll find out quick enough if there's a problem with conversion or anything else and you'll have a safe shiny backup to revert to.

View solution in original post

Highlighted
Contributor

Re: 14.3 -> 14.4 Upgrade Project Compatibility?

Thanks @Marsha_R for the response.  I was waiting for others to respond possibly with a firm yes or no here.  It was marked as accepted for me I assume by the admin?  I know the best practices.  Like you I expect that a minor update should be forward and backward compatible however I was trying to make sure I could indeed update incrementally and not have to do all my setups at once.

 

Thanks again,

 

Scott H.

   

Highlighted
Community Hero

Re: 14.3 -> 14.4 Upgrade Project Compatibility?

I can give you a yes for me, but since we are not SmartBear employees, we can't guarantee anything.  If you don't want to try it yourself and find out, then you can always contact Support directly.

https://support.smartbear.com/testcomplete/

 

I'm sure it was the admin marking the answer because it's correct.  Also you can check the kudos to see who agreed with me.  I can say for me that it's been the case since TestComplete version 8.

Highlighted
Contributor

Re: 14.3 -> 14.4 Upgrade Project Compatibility?

Yes,  I was just looking for someone who had already gone through the upgrade to chime in.

 

Thanks!

New Here?
Join us and watch the welcome video:
Announcements
Top Kudoed Authors